/****************************************************************************
	Bagotronix
	1019 Crossing Brook Way
	Tallahassee, FL 32311

	(C) Copyright 1996 Bagotronix
	All rights reserved

	Filename:  		csfclcd.h
	Programmer(s):	Ivan Baggett
	Description:	Sunflower C(tm) library
					Chickadee(tm) LCD functions header file
	comments:
****************************************************************************/


#ifndef CSFCLCD_ALREADY_INCLUDED
#define CSFCLCD_ALREADY_INCLUDED

#include "stdinc.h"
#include "chickade.h"


#define COMMAND 0
#define DATA	1

#define LCD16X1	0
#define LCD16X2	1
#define LCD20X1	2
#define LCD20X2	3
#define LCD40X2	4
#define LCD40X4	5
#define LCD20X4 6

#define LCD_BLINK_ON	0x01
#define LCD_CURSOR_ON	0x02
#define LCD_DISPLAY_ON	0x04

typedef struct {
	UBYTE x;
	UBYTE y;
} COORD;

#ifdef __cplusplus
	extern "C" {
#endif

void LCDwrite (UBYTE, UBYTE, UBYTE);
void LCDsetcontrast (UBYTE);
UBYTE LCDgetcontrast (void);
void LCDdarken (void);
void LCDlighten (void);
void LCDinit (UBYTE);
int LCDputc (int);
void LCDgotoxy (int, int);
void LCDclreol (void);
BOOLEAN LCDin (int, int);
void LCDclrscr (void);
void LCDsetmode (UBYTE);
UBYTE LCDgetmode (void);
int LCDputs (const char *);
int LCDwherex (void);
int LCDwherey (void);
int LCDmaxx (void);
int LCDmaxy (void);
void LCD_CGRAMset (UBYTE, const UBYTE *);

#ifdef __cplusplus
	}
#endif


#endif
